Skip to content

Add company to blacklist

Request

Blacklist a company by LinkedIn handle, domain, or name. Provide at least one identifier; the entry is matched on import and outreach.

Security
bearerAuth
Bodyapplication/jsonrequired
Any of:
linkedinstring

LinkedIn company handle.

Example:"acme-inc"
domainstring
Example:"acme.com"
namestring
Example:"Acme Inc"
POST
/leads/api/companies-blacklist
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/companies-blacklist \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "domain": "spammer.com"
  }'

Responses

Company blacklisted.

Bodyapplication/json
uuidstring, (uuid)
team_idinteger
namestring or null
domainstring or null
linkedinstring or null
ln_idstring or null
user_idinteger
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "name": "string", "domain": "string", "linkedin": "string", "ln_id": "string", "user_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }